import Amplitude from 'amplitude-js';
interface configType {
    REACT_APP_SHORT_ONBOARDING_URL: string;
    REACT_APP_OPTIMIZELY_API_KEY: string;
    REACT_APP_HOTJAR_ID: string;
    REACT_APP_HOTJAR_VERSION: string;
    REACT_FB_PIXEL_API_KEY: string;
    REACT_APP_AMPLITUDE_API_KEY: string;
    REACT_APP_VERSION: string;
}
declare global {
    interface Window {
        optimizely: any;
        hj: any;
        fbq: any;
    }
}
export declare class AnalyticsBase {
    config: configType;
    private useLog;
    amplitude: Amplitude.AmplitudeClient;
    optimizely: any;
    get userId(): string;
    set userId(value: string);
    private setAmplitudeUserId;
    private initHotjar;
    private initFbx;
    private initAmplitudeAndOptimizely;
    baseEvent(name: string, params?: {}): {
        data: {};
    };
    private parseEventData;
    private logEvent;
    constructor({ optymizelyInstance, ...config }: configType & {
        optymizelyInstance: any;
    });
}
export {};
